## GnomeDbCanvasItem

GnomeDbCanvasItem — Base class for all the GnomeCanvasItem derived widgets in libgnomedb.

## Synopsis

                        GnomeDbCanvasItem;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasGroup
                               +----GnomeDbCanvasItem
                                     +----GnomeDbCanvasCursor
                                     +----GnomeDbCanvasEntity
                                     +----GnomeDbCanvasText
                                     +----GnomeDbCanvasFkconstraint
                                     +----GnomeDbCanvasJoin

## Properties

      "allow-drag"               gboolean              : Read / Write
      "allow-move"               gboolean              : Read / Write
      "graph-item"               GdaGraphItem          : Read / Write
      "tip-text"                 gchararray            : Read / Write

## Signals

      "drag-action"                                    : Run First
      "moved"                                          : Run First
      "moving"                                         : Run First
      "shifted"                                        : Run First

## Description

This object adds some functionnalities on top of the GnomeCanvasItem objects such as synchronisation with a GdaGraphItem object (to have a persistent position on the canvas), the ability to be moved on the canvas, and the ability to initiate and report simple drag and drop within the canvas.

## Details

### GnomeDbCanvasItem

    typedef struct _GnomeDbCanvasItem GnomeDbCanvasItem;

## Property Details

### The "`allow-drag`" property

      "allow-drag"               gboolean              : Read / Write

Default value: FALSE

### The "`allow-move`" property

      "allow-move"               gboolean              : Read / Write

Default value: TRUE

### The "`graph-item`" property

      "graph-item"               GdaGraphItem          : Read / Write

### The "`tip-text`" property

      "tip-text"                 gchararray            : Read / Write

Default value: NULL

## Signal Details

### The "drag-action" signal

    void                user_function                      (GnomeDbCanvasItem *dbcanvasitem,
                                                            gpointer           arg1,
                                                            gpointer           arg2,
                                                            gpointer           user_data)         : Run First

`dbcanvasitem` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The "moved" signal

    void                user_function                      (GnomeDbCanvasItem *dbcanvasitem,
                                                            gpointer           user_data)         : Run First

`dbcanvasitem` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "moving" signal

    void                user_function                      (GnomeDbCanvasItem *dbcanvasitem,
                                                            gpointer           user_data)         : Run First

`dbcanvasitem` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "shifted" signal

    void                user_function                      (GnomeDbCanvasItem *dbcanvasitem,
                                                            gpointer           user_data)         : Run First

`dbcanvasitem` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.